Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
NodeBehaviour Class Reference

Base class for scripts to be assigned to various nodes of ArborFSM. More...

Inheritance diagram for NodeBehaviour:

## Public Member Functions
void | RebuildFields ()
| For internal. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot, bool rebuild=false)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...

## Static Public Member Functions
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...

## Protected Member Functions
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...

## Properties
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Detailed Description

Base class for scripts to be assigned to various nodes of ArborFSM.

## Member Function Documentation

## ◆ CreateNodeBehaviour()

static NodeBehaviour CreateNodeBehaviour | ( | Node | node,
|  | System.Type | type,
|  | bool | duplicate = `false`
| ) |  |
| static

For Editor.

## ◆ CreateNodeBehaviour< Type >()

static Type CreateNodeBehaviour< Type > | ( | Node | node,
|  | bool | duplicate = `false`
| ) |  |
| static

For Editor.

Type Constraints

  Type | : | NodeBehaviour |

## ◆ Destroy()

static void Destroy | ( | NodeBehaviour | behaviour | ) |
| static

Destroy NodeBehaviour.

Parameters

  behaviour | NodeBehaviour

## ◆ GetCalculatorSlotField() [1/2]

DataSlotField GetCalculatorSlotField | ( | DataSlot | slot | ) |

Get DataSlotField.

Parameters

  slot | DataSlot

Returns
  DataSlotField

## ◆ GetCalculatorSlotField() [2/2]

DataSlotField GetCalculatorSlotField | ( | int | index | ) |

Get DataSlotField.

Parameters

  index | Index

Returns
  DataSlotField

## ◆ GetDataSlotField() [1/2]

DataSlotField GetDataSlotField | ( | DataSlot | slot,
|  | bool | rebuild = `false`
| ) |  |

Get DataSlotField.

Parameters

  slot | DataSlot
  rebuild | Rebuild if not found.

Returns
  DataSlotField

## ◆ GetDataSlotField() [2/2]

DataSlotField GetDataSlotField | ( | int | index | ) |

Get DataSlotField.

Parameters

  index | Index

Returns
  DataSlotField

## ◆ Initialize()

void Initialize | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

For Editor.

Parameters

  nodeGraph | NodeGraph
  nodeID | Node ID

## ◆ OnCreated()

virtual void OnCreated | ( |  | ) |
| protected virtual

Raises the created event.

## ◆ OnGraphPause()

virtual void OnGraphPause | ( |  | ) |
| protected virtual

This function is called when the graph is paused.

## ◆ OnGraphResume()

virtual void OnGraphResume | ( |  | ) |
| protected virtual

This function is called when the graph resumes.

## ◆ OnGraphStop()

virtual void OnGraphStop | ( |  | ) |
| protected virtual

This function is called when the graph stops.

## ◆ OnInitializeEnabled()

virtual void OnInitializeEnabled | ( |  | ) |
| protected virtual

Called to perform enabled initialization.

Reimplemented in StateBehaviour, and TreeNodeBehaviour.

## ◆ OnPreDestroy()

virtual void OnPreDestroy | ( |  | ) |
| protected virtual

Raises the pre destroy event.

## ◆ OnValidate()

virtual void OnValidate | ( |  | ) |
| protected virtual

See MonoBehaviour.OnValidate.

Reimplemented in Calculator.

## ◆ RebuildCalculatorSlotFields()

void RebuildCalculatorSlotFields | ( |  | ) |

Rebuild the DataSlotField.

It is necessary to call it when changing the number of fields of DataSlot at runtime.

## ◆ RebuildDataSlotFields()

void RebuildDataSlotFields | ( |  | ) |

Rebuild the DataSlotField.

It is necessary to call it when changing the number of fields of DataSlot at runtime.

## ◆ RebuildFields()

void RebuildFields | ( |  | ) |

For internal.

## ◆ UpdateDataLink()

void UpdateDataLink | ( |  | ) |

Manually update DataLink values.

Update the value of DataLink field of DataLinkUpdateTiming.Manual.

## Property Documentation

## ◆ calculatorSlotFieldCount

int calculatorSlotFieldCount
| get

Number of DataSlotField

## ◆ dataSlotFieldCount

int dataSlotFieldCount
| get

Number of DataSlotField

## ◆ node

Node node
| get

Get the Node.

## ◆ nodeGraph

NodeGraph nodeGraph
| get

Gets the NodeGraph.

## ◆ nodeID

int nodeID
| get

Gets the node identifier.